org.jboss.netty.handler.timeout

## Class IdleStateAwareChannelHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelHandler
  - - org.jboss.netty.handler.timeout.IdleStateAwareChannelHandler

- All Implemented Interfaces:
    ChannelDownstreamHandler, ChannelHandler, ChannelUpstreamHandler

      public class IdleStateAwareChannelHandler
      extends SimpleChannelHandler

  An extended `SimpleChannelHandler` that adds the handler method for an `IdleStateEvent`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdleStateAwareChannelHandler()` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelIdle(ChannelHandlerContext ctx, IdleStateEvent e)` Invoked when a `Channel` has been idle for a while.
    `void` | `handleUpstream(ChannelHandlerContext ctx, ChannelEvent e)` Handles the specified upstream event.

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelHandler

      `bindRequested, channelBound, channelClosed, channelConnected, channelDisconnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, closeRequested, connectRequested, disconnectRequested, exceptionCaught, handleDownstream, messageReceived, setInterestOpsRequested, unbindRequested, writeComplete, writeRequested`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdleStateAwareChannelHandler

          public IdleStateAwareChannelHandler()

      Creates a new instance.

  - ### Method Detail

    - #### handleUpstream

          public void handleUpstream(ChannelHandlerContext ctx,
                            ChannelEvent e)
                              throws Exception

      Description copied from class: `SimpleChannelHandler`
      Handles the specified upstream event. Down-casts the received upstream event into more meaningful sub-type event and calls an appropriate handler method with the down-casted event.
      Specified by:
        `handleUpstream` in interface `ChannelUpstreamHandler`
      Overrides:
        `handleUpstream` in class `SimpleChannelHandler`
      Parameters:
        `ctx` - the context object for this handler
        `e` - the upstream event to process or intercept
      Throws:
        `Exception`

    - #### channelIdle

          public void channelIdle(ChannelHandlerContext ctx,
                         IdleStateEvent e)
                           throws Exception

      Invoked when a `Channel` has been idle for a while.
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.